Pakiety z nieuwierzytelnionych źródeł


(Pkostrzewski1) #1

Witam.

 

Dzisiaj, próbowałem zainstalować sobie ubuntu touch, niestety nic nie wypaliło :frowning: ale mniejsza z tym. Nie wiem czy to ma coś wspólnego z moim problemem ale od czasu tej felernej próby instalacji nie mogę zainstalować żadnego pakiety bo wyskakuje mi komunikat:

"Czynność wymagałaby instalacji pakietów z nieuwierzytelnionych źródeł."

Czytałem o tym w internetach i wszystkie sposoby jakie znalazłem dotyczyły zmiany czegoś tam w repozytorium. Postępowałem wiec zgodnie z tym poradnikiem:

ale nic nie pomogło...

 

Ps.

Próbowałem instalować touch'a wedle tego poradnika:

http://ubuntu-phone.pl/instalacja-ubuntu-touch-wraz-z-restorem-androida/


(roobal) #2

na forum piszemy w języku polskim, w związku z tym należy korzystać z polskiej pisowni (ą,ę,ć,ł,ń,ó,ś,ź,ż), proszę poprawić swój post oraz tytuł wątku, w przeciwnym razie temat zostanie przeniesiony do kosza.


(marcin82) #3

Podaj wyniki poleceń z terminala:

cat /etc/apt/sources.list

ls -al /etc/apt/sources.list.d

cat /etc/apt/sources.list.d/*

 

sudo apt-get update && sudo apt-get dist-upgrade

(Pkostrzewski1) #4

cat /etc/apt/sources.list

 


(marcin82) #5

Jakie masz dokładnie wydanie Ubuntu - podaj wynik polecenia:

 

lsb_release -a

Może się jeszcze uda zrobić z tym porządek.

Niektóre repozytoria z linku są stare i nieaktualne.

Poza tym przeczytaj dokładnie ten artykuł - brak klucza publicznego.


(Pkostrzewski1) #6

lsb_release -a

No LSB modules are available.


(marcin82) #7

Wykonaj takie polecenia:

sudo su -

echo "# Ubuntu - podstawowe repozytoria
deb http://pl.archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse
deb http://pl.archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu precise-security main restricted universe multiverse
deb http://pl.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse
deb http://extras.ubuntu.com/ubuntu precise main
# Ubuntu Partner
deb http://archive.canonical.com/ubuntu precise partner
# Ubuntu Tweak
deb http://ppa.launchpad...trix/ppa/ubuntu precise main" > /etc/apt/sources.list

mv /etc/apt/sources.list.d /etc/apt/sources.list.d.backup

Wstaw wynik polecenia:

sudo apt-get update && sudo apt-get dist-upgrade

UWAGA!
:smiley:


(Pkostrzewski1) #8

sudo apt-get update && sudo apt-get dist-upgrade

Błąd

http://ppa.launchpad...trix precise Release.gpg


(Piesek64) #9

sudo su - powoduje przełączenie w sesję administratora Root.

Wygląda na to, że nie masz kluczy dla systemowych repozytorii. Jak zainstalować brakujące klucze masz tutaj: http://www.ubuntu-pomoc.org/sposob-na-brakujace-klucze-gpg/f

deb http://ppa.launchpad...trix/ppa/ubuntu precise main"

Nie poprawne repozytorium. Chyba bez ubuntu tweak też przejdzie?

echo "# Ubuntu - podstawowe repozytoria

deb http://pl.archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse
deb http://pl.archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu precise-security main restricted universe multiverse
deb http://pl.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse
deb http://extras.ubuntu.com/ubuntu precise main
# Ubuntu Partner
deb http://archive.canonical.com/ubuntu precise partner" > /etc/apt/sources.list